For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet pipeline stages
      • GETGet a pipeline
      • GETGet all pipelines
      • GETGet deal attributes
      • GETGet all deals
      • POSTCreate a deal
      • GETGet a deal
      • DELDelete a deal
      • PATCHUpdate a deal
      • PATCHLink and Unlink a deal with contacts and companies
      • POSTImport deals(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMDeals

Get all deals

GET
https://api.brevo.com/v3/crm/deals
GET
/v3/crm/deals
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.deals.getAllDeals({});
8}
9main();
1{
2 "items": [
3 {
4 "id": "629475917295261d9b1f4403",
5 "attributes": {
6 "amount": 12,
7 "created_at": "2022-05-30T07:42:05.671Z",
8 "deal_name": "testname",
9 "deal_owner": "6093d2425a9b436e9519d034",
10 "deal_stage": "9e577ff7-8e42-4ab3-be26-2b5e01b42518",
11 "last_activity_date": "2022-06-06T08:38:36.000Z",
12 "last_updated_date": "2022-06-06T08:38:36.761Z",
13 "number_of_activities": 0,
14 "number_of_contacts": 1,
15 "pipeline": "6093d296ad1e9c5cf2140a58",
16 "stage_updated_at": "2022-05-30T07:42:05.671Z"
17 },
18 "linkedContactsIds": [
19 1,
20 2,
21 3
22 ],
23 "linkedCompaniesIds": [
24 "61a5ce58c5d4795761045990",
25 "61a5ce58c5d4795761045991",
26 "61a5ce58c5d4795761045992"
27 ]
28 }
29 ]
30}

Retrieve a paginated list of deals with optional filtering, sorting, and search capabilities. Results can be filtered by attributes such as deal name or owner, linked companies, linked contacts, or modification/creation timestamps. Default sort order is descending by creation date.

Was this page helpful?
Previous

Create a deal

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

filters[attributes.deal_name]stringOptional

Filter by attributes. If you have a filter for the owner on your end, please send it as filters[attributes.deal_owner] and utilize the account email for the filtering.

filters[linkedCompaniesIds]stringOptional
Filter by linked companies ids
filters[linkedContactsIds]stringOptional
Filter by linked contacts ids
modifiedSincestringOptional

Filter (urlencoded) the deals modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

createdSincestringOptional

Filter (urlencoded) the deals created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

offsetlongOptional
Index of the first document of the page
limitlongOptionalDefaults to 50
Number of documents per page
sortenumOptional

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

Allowed values:
sortBystringOptional
The field used to sort field names.

Response

Returns deals list with filters
itemslist of objects
List of deals

Errors

400
Bad Request Error